Loading...
Searching...
No Matches
Halide::Internal::Function::Compare Struct Reference

This lets you use a Function as a key in a map of the form map<Function, Foo, Function::Compare>. More...

`#include <Function.h>`

## Public Member Functions

bool | operator() (const Function &a, const Function &b) const

## Detailed Description

This lets you use a Function as a key in a map of the form map<Function, Foo, Function::Compare>.

Definition at line 45 of file Function.h.

## Member Function Documentation

## operator()()

bool Halide::Internal::Function::Compare::operator() | ( | const Function & | a,
|  | const Function & | b ) const

inline

Definition at line 46 of file Function.h.

References Halide::Internal::FunctionPtr::defined(), Halide::Internal::Function::Function(), and internal_assert.

The documentation for this struct was generated from the following file:

- src/Function.h